# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import print_function
from __future__ import division
from __future__ import absolute_import
import syslog

import cldetectlib as detect 
from distutils.version import StrictVersion

from clcommon.public_hooks.bundle import cpanel

YAML_HOOK_BASE = '/var/cpanel/hooks.yaml'
MANAGE_HOOK = '/usr/local/cpanel/bin/manage_hooks'
SOURCE_PATH = '/usr/share/l.v.e-manager/'
VERIFY_HOOK = SOURCE_PATH + 'cpanel/extension/cl_pkg_verify_hook.py'
VERIFY_HOOK_SCRIPTS = '/scripts/cl_pkg_verify_hook.py'

LVE_EXTENSION_HOOKS = (
    cpanel.Hook(VERIFY_HOOK_SCRIPTS, 'Whostmgr', 'Packages::verify_input_data', 'pre'),
    cpanel.Hook(VERIFY_HOOK_SCRIPTS, 'Whostmgr', 'Accounts::Create',            'pre'),
    cpanel.Hook(VERIFY_HOOK_SCRIPTS, 'Whostmgr', 'Accounts::Modify',            'pre'),
)


def log_error(script_name, msg):
    syslog.syslog(script_name + ': ' + msg)


def check_cpanel_version(version = None):
    if version is None:
        version = '11.42.1'
    detect.getCP()
    if StrictVersion(detect.CP_VERSION) >= StrictVersion(version):
        return True
    return False


def check_result(result, script_name, msg, equal_result=0):
    if result != equal_result:
        log_error(script_name, msg)

