#!/opt/alt/python37/bin/python3 -sbb
# coding=utf-8
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT
from __future__ import print_function
from __future__ import division
from __future__ import absolute_import

from clcommon.public_hooks.lib import ModifyAdminHook

from lvemanager.sudoers import (
    add_unix_user_to_sudoers,
    remove_unix_user_from_sudoers
)


class AdminSudoersHook(ModifyAdminHook):

    def post_create_admin(self, name, **kwargs):
        """
        Automatically add newly created admin
        into sudoers and supergid group
        """
        add_unix_user_to_sudoers(name)

    def post_delete_admin(self, name, **kwargs):
        """
        Remove admin from groups before actual delete.
        """
        remove_unix_user_from_sudoers(name)
