<?php
/**
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 */


namespace App\Base\Interfaces;


/**
 * Interface IManager
 * @package selector\base\interfaces
 */
interface IManager {
    /**
     * Initialize controller\action params
     *
     * @return mixed
     */
    public function init();

    /**
     * Run controller action by given params
     *
     * @return mixed
     */
    public function run();

    /**
     * @return mixed
     */
    public function getAssetManager();

    /**
     * @return mixed
     */
    public function setHomeUrl();

    /**
     * @param $controller
     * @param array $params
     * @return mixed
     */
    public function createUrl($controller, $params = array());
}
