<?php
/**
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 */


use Modules_PleskLvemanager_CheckData as CheckData;

abstract class Modules_PleskLvemanager_Controllers_Base extends pm_Controller_Action
{
    protected $clientId = NULL;
    protected $clientLogin = NULL;
    protected $clientUID = NULL;
    protected $session = NULL;
    protected $userType = NULL;

    public $client = NULL;

    public function init()
    {
        parent::init();

        $this->session = new pm_Session();
        $this->client = $this->session->getClient();
        $this->clientId = $this->client->isClient() ? $this->client->getId() :
            $this->session->getImpersonatedClientId();
    }

    protected function getLogin()
    {
        if (is_null($this->clientLogin)) {
            $this->clientLogin = CheckData::getLogin($this->session, $this->client, $this->clientId, $this->userType);
        }
        return $this->clientLogin;
    }

    protected function getUID()
    {
        if (is_null($this->clientUID) && !$this->client->isReseller()) {
            $this->clientUID = CheckData::getUID($this->getLogin());
        }
        return $this->clientUID;
    }

}