#!/bin/bash

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# RPM post script, no arguments
# Note: Also called from Debian lvemanager.postinst scriptlet
# Arguments:
# $2 - python binary path - /opt/alt/python37/bin/python3
# $3 - CL Solo marker - /etc/cloudlinux-edition-solo

# "lvemanager POST INSTALL STARTED"

PYTHON_BIN="$2"
SOLO_MARKER="$3"
CONTAINER_MARKER="$4"

if [[ ! -f "$SOLO_MARKER" && ! -f "$CONTAINER_MARKER" ]]; then
    #Link traversal protection support
    LINKSAFE_GRP_NAME="linksafe"
    chown root:$LINKSAFE_GRP_NAME /usr/selector.etc/php.ini &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/selector/lsphp &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/selector/php &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/selector/php-cli &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/selector/php-fpm &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/share/l.v.e-manager/utils/activate &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/share/l.v.e-manager/utils/set_env_vars.py &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/share/l.v.e-manager/utils/node_wrapper &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/share/l.v.e-manager/utils/npm_wrapper &>/dev/null
    chown root:$LINKSAFE_GRP_NAME /usr/share/l.v.e-manager/utils/python_wrapper &>/dev/null
fi

$PYTHON_BIN /usr/share/l.v.e-manager/install-lvemanager-plugin.py -u

if [[ ! -f "$SOLO_MARKER" && ! -f "$CONTAINER_MARKER" ]]; then
    $PYTHON_BIN /usr/share/l.v.e-manager/cpanel/extension/install_lve_extension.py
    $PYTHON_BIN /usr/share/l.v.e-manager/utils/cache_rubygems.py
    $PYTHON_BIN /usr/share/l.v.e-manager/utils/fix-nodejs-environments.py
fi

$PYTHON_BIN /usr/share/l.v.e-manager/utils/cache_phpdata.py

# LVEMAN-1399. Replace php extension mysqli -> nd_mysqli for new installations
$PYTHON_BIN /usr/sbin/cloudlinux-selector make-defaults-config --json --interpreter=php >/dev/null

$PYTHON_BIN /usr/bin/selectorctl --update-backup &>/dev/null

if [[ -f /usr/local/cpanel/bin/build_global_cache ]]; then
    echo "Rebuilding cPanel global cache..."
    /usr/local/cpanel/bin/build_global_cache
fi

# Create cl-quotas.dat.lock file
touch /etc/container/cl-quotas.dat.lock
chmod 0644 /etc/container/cl-quotas.dat.lock

# "lvemanager POST INSTALL FINISHED"
